Subject: Re: [rmcat] Benjamin Kaduk's No Objection on draft-ietf-rmcat-eval-test-09: (with COMMENT)

From: Mirja Kuehlewind <[email-masked]>
Date: Tue, 2 Apr 2019 11:02:56 +0200

Hi Zahed, hi Ben,

Just a quick note below.

> On 24. Mar 2019, at 14:51, Benjamin Kaduk <[email-masked]> wrote:
> 
>>>    Section 3
>>> 
>>>             +  Bottleneck-link capacity: defines minimum capacity of the
>>>                end-to-end path
>>> 
>>>    I'm not sure I'd describe this as the "minimum capacity of the
>>>    end-to-end path", since attempts to use anything larger than this value
>>>    will pile up at the bottleneck.
>>> 
>>> [ZS] hmm, I guess that is why that link will act as bottleneck link for a respective testcase. If the flows remain below that capacity it should not experience queuing and as you said anything above that capacity will observe queuing. The job of the congestion control algorithm will be to avoid queuing.
>> 
>>    I think I was expecting "maximum capacity" to be more appropriate than
>>    "minimum capacity".  Perhaps I'm confused about what is intended here.
>> 
>> (disclaimer. this has been done in the long past and I hope my memory is supporting me on explaining it ☺)
>> 
>> The thinking was that the bottleneck-link capacity was not equals to the maximum link capacity. That means if the maximum link capacity is X then the bottleneck-link capacity is Y , where Y<X and (X-Y) capacity is used by other traffic traversing that link. Hence, in the test if a link is assumed to be bottleneck then the "the bottleneck-link capacity" is the minimum capacity available to the media flow traversing that path. 
> 
> Ah, that makes sense.  Maybe "minimum guaranteed capacity" or similar would
> convey the intent better.

The word “guaranteed” would be confusing here as people would associate this with some kind of resource reservation. Maybe "minimum link capacity of the end-to-end path”.

Mirja